Page MenuHomePhabricator

Figure out how to speed up RemexHtml coverage runs
Closed, ResolvedPublic

Description

Why is it so slow? What can we do to try and speed it up? I'll bump up the limit again in the meantime.

Event Timeline

Legoktm created this task.Oct 26 2017, 7:05 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 26 2017, 7:05 AM

On my local computer (stretch/php7):

phunit8 seconds
phpunit --coverage-html6 minutes

On my laptop with php 7.1 it hits the memory limit around 66% and dies. But let's give PHP 7 a shot! I can't think of any reason why it would be worse.

Change 386679 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[integration/config@master] Run RemexHtml coverage on PHP 7

https://gerrit.wikimedia.org/r/386679

Krinkle added a subscriber: Krinkle.Nov 8 2017, 6:50 AM

The php-code-coverage library with PHPUnit 4 is also quite old. I found that when trying for MediaWiki core, switching from PHPUnit 4 to 5 or 6 made a much bigger difference than the PHP upgrade. Although, naturally, this is blocked on raising the PHP requirement... :) But perhaps you can swap out the PHPUnit library, just for the coverage job? That's what I did for mediawiki-core-coverage as well during the experiment.

@Legoktm RemexHtml now shows up on https://doc.wikimedia.org/cover/. Was that a local change on Jenkins, or did it get resolved differently - without landing https://gerrit.wikimedia.org/r/386679?

Legoktm added a comment.EditedJan 8 2018, 11:24 PM

Sorry, I deployed a change via jjb to test it and never followed-up. I was trying to figure out the difference in the reporting between PHP 5.5/5.6 coverage and PHP 7.0 coverage (T147778) before progressing further.

Change 386679 abandoned by Krinkle:
Run RemexHtml coverage on PHP 7

Reason:
Obsoleted by Ie554e4b4db505d4841625784fe274b9c6cad7624

https://gerrit.wikimedia.org/r/386679